cgi_url_unescape(3)

NAME
cgi_url_unescape - unescape an url encoded string

SYNOPSIS
#include <cgi/cgi.h> char *cgi_url_unescape (char *buf);

ARGUMENTS
buf - a 0 terminated string

DESCRIPTION
cgi_url_unescape will do URL unescaping on the passed in string. This function modifies the string in place This function will decode any %XX character, and will decode + as space

SEE ALSO
cgi_debug_init(3), cgi_parse(3), cgi_destroy(3), cgi_js_escape(3), cgi_html_escape_strfunc(3), cgi_register_strfuncs(3), cgi_output(3), parse_rfc2388(3), cgi_url_validate(3), open_upload(3), cgi_cs_init(3), cgi_url_escape_more(3), cgi_html_strip_strfunc(3), cgi_neo_error(3), cgi_redirect(3), cgi_filehandle(3), cgi_register_parse_cb(3), cgi_url_escape(3), cgi_init(3), cgi_redirect_uri(3), cgi_cookie_clear(3), cgi_url_unescape(3), cgi_vredirect(3), cgi_display(3), cgi_html_ws_strip(3), cgi_error(3), cgi_cookie_set(3), cgi_text_html_strfunc(3), cgi_cookie_authority